module ParserHelper

	def self.is_comando?(line)
		is_funcionalidade?(line) || is_cenario?(line) || is_contexto?(line) || is_marcacao?(line) || is_comentario?(line)
	end

	def self.is_funcionalidade?(line)
		return line =~ /Funcionalidade:.*/
	end

	def self.get_funcionalidade(line)
		line.gsub("Funcionalidade: ", '').split(' ').join(' ')
	end

	def self.is_cenario?(line)
		return line =~ /Cenário:.*/
	end

	def self.get_cenario(line)
		line.gsub("Cenário:", '').split(' ').join(' ')
	end

	def self.is_contexto?(line)
		return true if line =~ /Contexto:.*/
	end

	def self.get_contexto(line)
		line.gsub("Contexto:", '').split(' ').join(' ')
	end

	def self.is_marcacao?(line)
		return true if line =~ /@.*/
	end

	def self.is_comentario?(line)
		return true if line =~ /#.*/
	end


end